@import url('/src/styles/styles.less');


.important-information-mixin {
    font-weight: bold;
    font-size: 1.1em;
}

.right-border-mixin {
    border-right: 2px solid @gray-4;
}

.class-session-card-container {
    .card_mixins();
    //display: flex;
    width: 100%;

    .teacher-information {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 1.3em;
        padding: 0 1em;
        //flex-basis: 25%;

        .right-border-mixin();

        .teacher-decal {
            margin-left: auto;
            margin-right: auto;
            padding: .2em .6em;
            align-self: flex-start;
            font-weight: bold;
            border: 1px solid @blue-4;
            border-radius: @lms-small-border-radius;
            background-color: @blue-6;
            color: @gray-1;
        }

        .teacher-avatar {
            position: relative;
        }

        .teacher-name {
            .important-information-mixin();
            white-space: nowrap;
            font-size: 1em;
        }
    }

    .session-information-container {
        //flex-basis: 50%;
        padding: 0 1em;

        .unit-decal {
            font-weight: bold;
            font-size: 1.3em;
            padding: 0.5em .5em;
            border-bottom: 2px solid @blue-3;
            margin-bottom: 1.4em;
        }

        .unit-wrapper {
            margin-bottom: 0.5rem;
        }

        .unit-wrapper, .note-wrapper, .attendance-wrapper {
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .note-wrapper {
            margin-bottom: 0.5rem;
        }

        .unit-wrapper svg, .note-wrapper svg {
            margin-right: 0.25rem;
        }

        .right-border-mixin();

        .session-unit-name {
            .important-information-mixin();
        }

        p.session-unit-name, p.session-note {
            margin-bottom: 0 !important;
        }
    }

    .session-time-information {
        padding: .3em 1.2em;
        //flex-basis: 25%;

        .session-time-wrapper {
            display: flex;
            align-items: center;
            justify-content: center;
            margin-bottom: 0.5rem;
        }

        .session-time-wrapper svg {
            margin-right: 0.25rem;
        }


        .clock-icon {
            font-size: 1.6em;
            color: @blue-6;
        }

        .session-date-container {
            margin: 0.4em .8em 1.4em 0.8em;
            padding-bottom: .8em;
            border-bottom: 2px solid @blue-3;

            .session-date {
                .important-information-mixin();
                white-space: nowrap;
            }
        }

        .session-duration-container {
            display: flex;
            //flex-direction: column;
            justify-content: space-around;
            align-items: center;

            .session-time {
                font-family: Orbitron;
                font-weight: bolder;
                font-size: 1.25em;
                color: @blue-3;
                margin-bottom: 0px !important;
            }

            .session-time.dash {
                padding: 0 0.25rem;
            }
        }



        .edit {
            color: @blue-6;
            margin: 0 1em;
        }
    }


}